Subject: Re: [i2rs] Progressing the chartering effort

From: Shane Amante <[email-masked]>
Date: Sat, 1 Dec 2012 08:42:22 -0700

On Nov 27, 2012, at 11:50 AM, Alia Atlas <[email-masked]> wrote:
> I think it should include control plane protocols as well.  The first focus is RIB-based use-cases, which seem to be easily tied to a forwarding plane.  However, the BGP-based policy cases and topology cases do not need to be co-located with a forwarding plane and, if that portion of the routing system is supported by a software entity, I think that I2RS should be able to handle that as well.
> 
> I feel that restricting the routing system to only those with an attached forwarding plane (physical or virtual) is unnecessarily restrictive and we already know of cases where it may not be sufficient.

+1.

-shane

> Alia 
> 
> 
> On Tue, Nov 27, 2012 at 12:16 PM, Russ White <[email-masked]> wrote:
> 
> This looks good --nice, well defined scope and strong requirements
> language. The only question I have is:
> 
> ==
> A routing system is all or part of a routing network such as an
> interface, a collection of interfaces, a router, or a collection of routers.
> ==
> 
> Should this include the control plane protocols, as well? The positive
> would be to provide a (more) complete description of a routing system,
> the negative is this might be seen as bringing interaction with
> protocols into the charter.
> 
> Thoughts?
> 
> :-)
> 
> Russ
> 
> --
> <><
> [email-masked]
> [email-masked]
> _______________________________________________
> i2rs mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/i2rs
> 
> _______________________________________________
> i2rs mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/i2rs

---

From: "Carlos Pignataro (cpignata)" <[email-masked]>
Date: Fri, 7 Dec 2012 15:27:12 +0000

I had noticed the same potential ambiguity of different meanings for the same term "interface", but I did not have a good proposal to address it (other than leave it as-is). I've done a bit of browsing and scanning through RFCs, and frankly this issue has existed in the past in many occasions -- grep for /interface/i in RFC 791, RFC 2133, RFC 6418, etc. -- many of which use plain "interfaces" for both.

To disambiguate, qualifying each use (one or both) is always an option. In the charter's paragraph quoted below, the former meaning can be a "network interface", whereas the latter can be a "programmatic interface". "Network interface" seems to fit nicely as the we are defining a "routing network", the Interfaces Group MIB calls these "network interfaces", and so does NIC.

Another option is to find a non-colliding synonym for one or both uses, but history seems to weight heavily in both terms (e.g., it is not a "link", it is not a ...)

I think that the most direct solution is as follows:

"A routing system is all or part of a routing network such as _a network_ interface, a collection of
_network interfaces_, a router, or a collection of routers.  _Programmatic_ Interfaces to the Routing System..."

Thanks,

-- Carlos.

On Nov 27, 2012, at 4:38 PM, "George, Wes" <[email-masked]> wrote:

> Can someone clarify for me?
> 
> We have an unfortunate overloading of the term "interface" here:
> "A routing system is all or part of a routing network such as an interface, a collection of
> interfaces, a router, or a collection of routers.  Interfaces to the Routing System..."
> 
> These are not the same sort of interfaces, and their proximity can lead to confusion. One moves packet traffic, the other is more of an information interface or even an API. Do we need to modify the first one to refer to it as "an interface or collection of interfaces to transmit/receive packet data" or some such? Or am I inferring a distinction where none is desired?
> 
> Thanks
> 
> Wes George
> 
>> I have taken the charter text and milestones discussed at the BoF (minus
>> the paragraph we agreed to delete) and added it into the data tracker at
>> https://datatracker.ietf.org/doc/charter-ietf-i2rs/
>> 
>> This is our starting point for further charter discussions.
>> 
> 
> 
> This E-mail and any of its attachments may contain Time Warner Cable proprietary information, which is privileged, confidential, or subject to copyright belonging to Time Warner Cable. This E-mail is intended solely for the use of the individual or entity to which it is addressed. If you are not the intended recipient of this E-mail, you are hereby notified that any dissemination, distribution, copying, or action taken in relation to the contents of and attachments to this E-mail is strictly prohibited and may be unlawful. If you have received this E-mail in error, please notify the sender immediately and permanently delete the original and any copy of this E-mail and any printout.

---

From: "Carlos Pignataro (cpignata)" <[email-masked]>
Date: Fri, 7 Dec 2012 15:27:22 +0000

+1.

Thanks,

-- Carlos.

On Nov 27, 2012, at 1:50 PM, Alia Atlas <[email-masked]<mailto:[email-masked]>> wrote:

Alia

On Tue, Nov 27, 2012 at 12:16 PM, Russ White <[email-masked]<mailto:[email-masked]>> wrote:

==

Thoughts?

:-)

Russ

--
<><
[email-masked]<mailto:[email-masked]>
[email-masked]<mailto:[email-masked]>
_______________________________________________
i2rs mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/i2rs

_______________________________________________
i2rs mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/i2rs